Subject: bug#30024: closed (Re: bug#30024: [PATCH] core-updates: librsvg: Disable more failing tests)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 08 Jan 2018 14:14:03 +0000

Your bug report

#30024: [PATCH] core-updates: librsvg: Disable more failing tests

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
30024: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=30024
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#30024: [PATCH] core-updates: librsvg: Disable more failing tests
From: [email-masked] (Ludovic Courtès)
To: Mark H Weaver <[email-masked]>
Cc: [email-masked]
Date: Mon, 08 Jan 2018 15:13:28 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

Mark H Weaver <[email-masked]> skribis:

> On the core-updates branch, in librsvg, some tests fail on i686 and
> armhf.  I've attached a proposed patch, but I haven't yet been able to
> test it because I no longer use binary substitutes on my systems and I'm
> currently having some difficulties[*] building the base packages.
>
> If someone else would like to test this and push it to core-updates, I'd
> be grateful.  It would be sufficient to test on i686, I think.

Tested on i686 and pushed, thank you!

> [*] GNU tar's handling of sparse files is broken on btrfs filesystems
>     and thus fails its test suite on my system, and the test suite of
>     guile-2.2.3 hung up (no output or CPU usage for 30 minutes with a
>     defunct guile process) on my x86_64 GuixSD system.

Many file system related tests fail on Btrfs.  :-/

As for the Guile failure, it’s weird.  Could you gather more info if it
happens again?

Ludo’.

Subject: [PATCH] core-updates: librsvg: Disable more failing tests
From: Mark H Weaver <[email-masked]>
To: [email-masked]
Date: Mon, 08 Jan 2018 02:08:06 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

On the core-updates branch, in librsvg, some tests fail on i686 and
armhf.  I've attached a proposed patch, but I haven't yet been able to
test it because I no longer use binary substitutes on my systems and I'm
currently having some difficulties[*] building the base packages.

If someone else would like to test this and push it to core-updates, I'd
be grateful.  It would be sufficient to test on i686, I think.

      Mark

[*] GNU tar's handling of sparse files is broken on btrfs filesystems
    and thus fails its test suite on my system, and the test suite of
    guile-2.2.3 hung up (no output or CPU usage for 30 minutes with a
    defunct guile process) on my x86_64 GuixSD system.

>From e414375109364f29618ec8e71074e71f514d1765 Mon Sep 17 00:00:00 2001
From: Mark H Weaver <[email-masked]>
Date: Sun, 7 Jan 2018 21:35:35 -0500
Subject: [PATCH] UNTESTED: gnu: librsvg: Disable more failing tests.

* gnu/packages/gnome.scm (librsvg)[arguments]: Rename
'remove-failing-test' phase to 'remove-failing-tests'.  Disable more
tests that fail on i686 and armhf.
---
 gnu/packages/gnome.scm | 18 +++++++++++++-----
 1 file changed, 13 insertions(+), 5 deletions(-)

diff --git a/gnu/packages/gnome.scm b/gnu/packages/gnome.scm
index 6d907fdf9..e5345b111 100644
--- a/gnu/packages/gnome.scm
+++ b/gnu/packages/gnome.scm
@@ -9,7 +9,7 @@
 ;;; Copyright © 2015, 2017 Andy Wingo <[email-masked]>
 ;;; Copyright © 2015 David Hashe <[email-masked]>
 ;;; Copyright © 2015, 2016, 2017 Ricardo Wurmus <[email-masked]>
-;;; Copyright © 2015, 2016, 2017 Mark H Weaver <[email-masked]>
+;;; Copyright © 2015, 2016, 2017, 2018 Mark H Weaver <[email-masked]>
 ;;; Copyright © 2015 David Thompson <[email-masked]>
 ;;; Copyright © 2015, 2016, 2017 Efraim Flashner <[email-masked]>
 ;;; Copyright © 2016, 2017 Rene Saavedra <[email-masked]>
@@ -1207,11 +1207,19 @@ dealing with different structured file formats.")
                (("gdk_pixbuf_cache_file = .*$")
                 "gdk_pixbuf_cache_file = $(TMPDIR)/loaders.cache\n"))
              #t))
-         (add-after 'unpack 'remove-failing-test
-           ;; This test fails on aarch64.
+         (add-after 'unpack 'remove-failing-tests
            (lambda _
-             (delete-file "tests/fixtures/reftests/bugs/777834-empty-text-children.svg")
-             (delete-file "tests/fixtures/reftests/bugs/777834-empty-text-children-ref.png")
+             (with-directory-excursion "tests/fixtures/reftests"
+               (for-each delete-file
+                         '(;; This test fails on i686:
+                           "svg1.1/masking-path-04-b.svg"
+                           "svg1.1/masking-path-04-b-ref.png"
+                           ;; This test fails on armhf:
+                           "svg1.1/masking-mask-01-b.svg"
+                           "svg1.1/masking-mask-01-b-ref.png"
+                           ;; This test fails on aarch64:
+                           "bugs/777834-empty-text-children.svg"
+                           "bugs/777834-empty-text-children-ref.png")))
              #t)))))
     (native-inputs
      `(("pkg-config" ,pkg-config)
-- 
2.15.1